import { Effect } from 'postprocessing';
import * as THREE from 'three';
import * as i0 from "@angular/core";
interface ASCIIEffectOptions {
    font?: string;
    characters?: string;
    fontSize?: number;
    cellSize?: number;
    color?: string;
    invert?: boolean;
}
export declare class ASCIIEffect extends Effect {
    constructor({ font, characters, fontSize, cellSize, color, invert, }?: ASCIIEffectOptions);
    /** Draws the characters on a Canvas and returns a texture */
    createCharactersTexture(characters: string, font: string, fontSize: number): THREE.Texture;
}
export declare class NgtpASCII {
    options: import("@angular/core").InputSignalWithTransform<ASCIIEffectOptions, "" | Partial<ASCIIEffectOptions>>;
    protected effect: import("@angular/core").Signal<ASCIIEffect>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtpASCII, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgtpASCII, "ngtp-ascii", never, { "options": { "alias": "options"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
export {};
