import { BlendFunction, Effect } from 'postprocessing';
import { NgtpEffect } from '../effect';
import * as i0 from "@angular/core";
import * as i1 from "../effect";
export declare class TiltShift2Effect extends Effect {
    constructor({ blendFunction, blur, // [0, 1], can go beyond 1 for extra
    taper, // [0, 1], can go beyond 1 for extra
    start, // [0,1] percentage x,y of screenspace
    end, // [0,1] percentage x,y of screenspace
    samples, // number of blur samples
    direction, }?: {
        blendFunction?: BlendFunction | undefined;
        blur?: number | undefined;
        taper?: number | undefined;
        start?: number[] | undefined;
        end?: number[] | undefined;
        samples?: number | undefined;
        direction?: number[] | undefined;
    });
}
export type TiltShift2EffectOptions = Partial<NonNullable<ConstructorParameters<typeof TiltShift2Effect>[0]>>;
export declare class NgtpTiltShift2 {
    options: import("@angular/core").InputSignal<Omit<Partial<{
        blendFunction?: BlendFunction | undefined;
        blur?: number | undefined;
        taper?: number | undefined;
        start?: number[] | undefined;
        end?: number[] | undefined;
        samples?: number | undefined;
        direction?: number[] | undefined;
    }>, "blendFunction">>;
    protected effect: NgtpEffect;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtpTiltShift2, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgtpTiltShift2, "ngtp-tilt-shift2", never, { "options": { "alias": "options"; "required": false; "isSignal": true; }; }, {}, never, ["*"], true, [{ directive: typeof i1.NgtpEffect; inputs: { "blendFunction": "blendFunction"; "opacity": "opacity"; }; outputs: {}; }]>;
}
