import { ToneMappingEffect } from 'postprocessing';
import { NgtpEffect } from '../effect';
import * as i0 from "@angular/core";
import * as i1 from "../effect";
export type ToneMappingEffectOptions = NonNullable<ConstructorParameters<typeof ToneMappingEffect>[0]>;
export declare class NgtpToneMapping {
    options: import("@angular/core").InputSignal<Omit<{
        blendFunction?: import("postprocessing").BlendFunction;
        adaptive?: boolean;
        mode?: import("postprocessing").ToneMappingMode;
        resolution?: number;
        maxLuminance?: number;
        whitePoint?: number;
        middleGrey?: number;
        minLuminance?: number;
        averageLuminance?: number;
        adaptationRate?: number;
    }, "blendFunction">>;
    protected effect: NgtpEffect;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtpToneMapping, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgtpToneMapping, "ngtp-tone-mapping", never, { "options": { "alias": "options"; "required": false; "isSignal": true; }; }, {}, never, ["*"], true, [{ directive: typeof i1.NgtpEffect; inputs: { "blendFunction": "blendFunction"; "opacity": "opacity"; }; outputs: {}; }]>;
}
